/*
 * 5799-WZQ (C) COPYRIGHT = NONE
 * LICENSED MATERIALS - PROPERTY OF IBM
 */
/* $Header:PFLUSH.c 12.0$ */
/* $ACIS:PFLUSH.c 12.0$ */
/* $Source: /ibm/acis/usr/src/usr.lib/libpc/RCS/PFLUSH.c,v $ */

#ifndef lint
static char *rcsid = "$Header:PFLUSH.c 12.0$";
#endif

/* Copyright (c) 1979 Regents of the University of California */

static char sccsid[] = "@(#)PFLUSH.c 1.2 1/21/83";

#include "h00vars.h"

/*
 * insure that a usable image is in the buffer window
 */
PFLUSH()
{
	register struct iorec	*next;

	for (next = _fchain.fchain; next != FILNIL; next = next->fchain) {
		if ((next->funit & (FDEF | FREAD)) != 0)
			continue;
		if (next->fbuf != 0)
			fflush(next->fbuf);
	}
}
